Subject: Re: bug#47159: 28.0.50; gnutls not recognized in build process without pkg-config

From: Jean Louis <[email-masked]>
Date: Sat, 20 Mar 2021 09:44:11 +0300

* Lars Ingebrigtsen <[email-masked]> [2021-03-19 11:00]:
> Glenn Morris <[email-masked]> writes:
> 
> >> I can't see any explicit checks for pkg-config in configure.ac.
> >
> > PKG_PROG_PKG_CONFIG(0.9.0)
> >
> > Perhaps you want to check the result of that and make it fatal,
> > but only in some cases. Or perhaps users should read configure output.
> 
> Ah, thanks.  I've now added a warning about this just above the error
> about the missing library, so that should help, and probably not lead to
> too many false positives.

I have now done git pull and removed pkg-config from system
temporarily, this below is the message I got, even though I do have
gnutls in the system.

...
checking for pkg-config... no
...
checking for GifMakeMapObject in -lgif... yes
configure: error: The following required libraries were not found:
     gnutls
Maybe some development libraries/packages are missing?
To build anyway, give:
     --with-gnutls=ifavailable
as options to configure.